<?php

namespace App\Http\Controllers;

use App\Http\Controllers\Controller;
use App\Models\Product;
use App\Models\Category;
use App\Models\HeroImage;

class WallpapersController extends Controller
{
    public function index()
    {
        $products = Product::where('type', 'wallpaper')->get();
        $categories = Category::all();
        $heroImages = HeroImage::where('page', 'wallpaper')->where('is_active', true)->orderBy('sort_order')->get();
        
        return view('wallpapers', [
            'products' => $products,
            'categories' => $categories,
            'heroImages' => $heroImages
        ]);
    }
}
